<?php

/**
 * generar_aportes_correc actions.
 *
 * @package    nomina
 * @subpackage generar_aportes_correc
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class generar_aportes_correcActions extends sfActions {

    /**
     * Executes index action
     *
     * @param sfRequest $request A request object
     */
    public function executeIndex(sfWebRequest $request) {

        $this->logMessage("---BEGIN Logging request");
        foreach ($request->getPostParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("--------------------------------------------------* Ip: " . $_SERVER['REMOTE_ADDR']);
        foreach ($request->getGetParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("---END Logging request");

        /*
         * Variables de filtro
         */
        $this->id_periodo = $request['id_periodo_filtro'];
        $this->id_periodo_actual = $request['id_periodo'];
        $this->id_periodo_retro = $request['id_periodo_retroA'] . ',' . $request['id_periodo_retroB'];
        $this->vig_ini = $request['vig_ini'];
        $this->per_ini = $request['per_ini'];
        $this->vig_fin = $request['vig_fin'];
        $this->per_fin = $request['per_fin'];
        $this->num_planilla = $request['num_planilla'];
        $this->fecha_pago = $request['fecha_pago'];
    }

    /**
     * Version nueva de planilla de autoliquidacion resolucion 2388 de 2016 - 20170222
     *
     * @param sfRequest $request A request object
     */
    public function executeIndex2388(sfWebRequest $request) {

        $this->logMessage("---BEGIN Logging request");
        foreach ($request->getPostParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("--------------------------------------------------* Ip: " . $_SERVER['REMOTE_ADDR']);
        foreach ($request->getGetParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("---END Logging request");

        /*
         * Variables de filtro
         */
        $this->id_periodo = $request['id_periodo_filtro'];
        $this->id_periodo_actual = $request['id_periodo'];
        $this->id_periodo_retro = $request['id_periodo_retroA'] . ',' . $request['id_periodo_retroB'];
        $this->vig_ini = $request['vig_ini'];
        $this->per_ini = $request['per_ini'];
        $this->vig_fin = $request['vig_fin'];
        $this->per_fin = $request['per_fin'];
        $this->num_planilla = $request['num_planilla'];
        $this->fecha_pago = $request['fecha_pago'];
    }

}
